WAIT(1)

NAME
wait - wait for a process to finish

SYNOPSIS
wait

DESCRIPTION
Wait until all processes started with & or bg have completed, and report on abnormal terminations.

Because the wait(2V) system call must be executed in the parent process, the shell itself executes wait, without creating a new process.

SEE ALSO
csh(1), sh(1), wait(2V)

BUGS
Not all the processes of a 3- or more-stage pipeline are children of the shell, and thus cannot be waited for. This bug does not apply to csh(1).